2004-10-27 19:17:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/job.c

	* Copy job now also copies the job flags.

2004-10-27 11:12:55  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/drqman/drqm_jobs_jdd.c
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* Support for job dependencies on drqman

2004-10-27 10:43:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/master.c

	* Basic support for job dependencies.

2004-10-27 09:51:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* dnj_cleanup removed

2004-10-27 09:50:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Minor bugfix, warning message when cancelling a new job

2004-10-27 09:45:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/task.h

	* Changes for command on finish reverted. Bugfix for race condition when using "submit stopped".

2004-10-27 04:25:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Bugfix for race condition when using "submit job stopped"

2004-10-27 03:08:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/task.h

	* Preliminary support for "Command On Finished".

2004-10-26 22:20:33  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* build_release.sh updated to point to the new svn2cl.pl

2004-10-26 22:12:33  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-26 22:11:52  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-26 22:10:03  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.53.0

2004-10-26 22:08:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* Merged from 0.52.x revisions 937:938

2004-10-26 22:00:16  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog
	   M /trunk/drqueue/Revision
	   M /trunk/drqueue/common.c
	   M /trunk/drqueue/common.h
	   M /trunk/drqueue/svn-scripts/build_release.sh
	   A /trunk/drqueue/svn-scripts/svn2cl.pl (from /branches/0.52.x/svn-scripts/svn2cl.pl:936)

	* Merged from 0.52.x revisions 926:936

2004-10-26 20:34:42  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Minor change

2004-10-26 17:26:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO

	* Added feature: submit job stopped.

2004-10-26 17:21:52  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/request.c

	* Added feature: submit job stopped.

2004-10-26 13:22:48  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/TODO
	   M /trunk/drqueue/sendjob.cpp

	* Marc Ume patch for sendjob

2004-10-26 11:22:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-26 11:19:33  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-26 11:19:06  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.52.0

2004-10-25 08:57:42  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.h

	* All operating systems using limits.h

2004-10-25 08:44:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-25 08:41:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-25 08:41:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.52.0rc1

2004-10-25 08:33:10  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Irix installation problem

2004-10-25 08:25:07  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/svn-scripts/svnmerge

	* Added svnmerge

2004-10-25 08:24:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.h
	   M /trunk/drqueue/svn-scripts

	* Irix compilation bugfix

2004-10-24 12:36:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-24 12:36:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-24 12:34:47  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.51.10

2004-10-24 11:26:19  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/Makefile

	* FreeBSD bugfix

2004-10-24 11:21:38  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.h

	* FreeBSD compilation bugfix

2004-10-23 21:06:45  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-23 21:06:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-23 21:06:01  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.51.9

2004-10-23 20:54:46  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/libdrqueue.h

	* Bugfix of sendjob

2004-10-23 20:48:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs_jdd.c

	* Reverse blocked host selection list

2004-10-23 18:45:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-23 18:45:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-23 18:44:33  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.51.8

2004-10-23 16:08:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/blockhost.c
	   M /trunk/drqueue/cjob.c
	   M /trunk/drqueue/jobfinfo.c
	   M /trunk/drqueue/requeue.c
	   M /trunk/drqueue/sendjob.cpp

	* Bugfixes and now cjob can retrieve the status of a job.

2004-10-23 13:45:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-23 13:45:06  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-23 13:44:47  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.51.7

2004-10-23 13:24:09  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO
	   M /trunk/drqueue/drqman/drqm_jobs_jdd.c
	   M /trunk/drqueue/drqman/drqm_jobs_jdd.h

	* Logs now scroll when the log is updated

2004-10-22 23:47:55  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/CREDITS

	* Added Shawn Parr to the CREDITS file

2004-10-22 23:13:33  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-22 23:13:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-22 23:12:48  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.51.6

2004-10-22 23:08:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs_jdd.c

	* Added tip to button

2004-10-22 22:57:04  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c
	   M /trunk/drqueue/drqman/drqm_jobs_jdd.c

	* Code cleanup

2004-10-22 22:39:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs_jdd.c

	* Refresh button working for the list of hosts

2004-10-22 22:25:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c
	   M /trunk/drqueue/drqman/drqm_jobs_jdd.c
	   M /trunk/drqueue/drqman/drqm_jobs_jdd.h

	* Support for multiple hosts blocked

2004-10-22 22:02:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.h
	   M /trunk/drqueue/drqman/drqm_jobs_jdd.c
	   M /trunk/drqueue/drqman/drqm_jobs_jdd.h

	* Dialog to add a host to the blocked list now shows the list of computers.

2004-10-22 21:09:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.h
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   A /trunk/drqueue/drqman/drqm_jobs_common.h
	   M /trunk/drqueue/drqman/drqm_jobs_jdd.c
	   M /trunk/drqueue/drqman/drqm_jobs_jdd.h

	* More code cleanup

2004-10-22 20:43:19  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs_jdd.c

	* More code cleanup

2004-10-22 20:32:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/Makefile
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   A /trunk/drqueue/drqman/drqm_jobs_jdd.c
	   A /trunk/drqueue/drqman/drqm_jobs_jdd.h

	* Code cleanup on drqman

2004-10-22 19:27:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO

	* Updated TODO

2004-10-20 23:50:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.h

	* Bugfix for compilation problem on Mac OS X

2004-10-20 22:55:16  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* Another buxfix O:)

2004-10-20 22:51:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* Bugfix

2004-10-20 22:50:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-20 22:49:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-20 22:49:31  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.51.5

2004-10-20 22:41:22  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.c
	   M /trunk/drqueue/etc/master.conf

	* Parsing all values.

2004-10-20 22:32:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.c
	   M /trunk/drqueue/common.h
	   M /trunk/drqueue/drqman/main.c
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/master.h
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h

	* Only one config_parse function for all

2004-10-20 22:25:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/main.c
	   A /trunk/drqueue/etc/drqman.conf
	   A /trunk/drqueue/etc/master.conf
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/master.h

	* More changes regarding the config files

2004-10-20 22:15:47  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/blendersg.c
	   M /trunk/drqueue/bmrtsg.c
	   M /trunk/drqueue/common.c
	   M /trunk/drqueue/common.h
	   M /trunk/drqueue/constants.h
	   M /trunk/drqueue/database.c
	   M /trunk/drqueue/drerrno.c
	   M /trunk/drqueue/drqman/main.c
	   A /trunk/drqueue/etc/slave.conf
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/libdrqueue.h
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/master.h
	   M /trunk/drqueue/mayasg.c
	   M /trunk/drqueue/pixiesg.c
	   M /trunk/drqueue/requeue.c
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h

	* Preliminary support for config files

2004-10-20 11:35:58  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* Debian compliance

2004-10-20 11:35:32  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* Debian compliance

2004-10-20 11:34:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/sendjob.cpp

	* Solved warning messages

2004-10-20 01:49:17  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   A /trunk/drqueue/cjob.c

	* Added cjob tool.

2004-10-20 00:40:22  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   D /trunk/drqueue/listjobs.c

	* Removed listjobs

2004-10-20 00:39:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/blockhost.c

	* Added option to list blocked hosts to blockhost

2004-10-19 23:57:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/pixiesg.h

	* Theodore Schundler's patch for FreeBSD

2004-10-19 13:38:42  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-19 13:38:19  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-19 13:37:54  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.51.4

2004-10-19 13:31:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Corrected comment

2004-10-19 13:08:56  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_common.c
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* drqman saves the status of the frame's info scrolled window

2004-10-19 07:58:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO
	   M /trunk/drqueue/computer_info.osx.c
	   M /trunk/drqueue/listjobs.c

	* Minor changes

2004-10-18 22:52:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.osx.c

	* Mac OS X, nicer way to get the number of cpus

2004-10-18 22:03:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.osx.c

	* Now it gets the real frequency of the cpu

2004-10-18 20:09:16  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.c
	   A /trunk/drqueue/computer_info.freebsd.c
	   A /trunk/drqueue/computer_info.irix.c
	   A /trunk/drqueue/computer_info.linux.c
	   A /trunk/drqueue/computer_info.osx.c

	* Code cleanup

2004-10-18 18:38:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/bin/blockhost

	* Added blockhost script to bin

2004-10-18 03:32:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-18 03:32:05  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-18 03:31:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.51.3

2004-10-18 03:30:03  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Bugfix. host deletion from blocked list did not work properly

2004-10-18 03:26:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Minor bugfix

2004-10-18 02:50:49  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Now you can add hosts to the block list from drqman.

2004-10-18 01:44:27  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Removal of blocked hosts from drqman working

2004-10-18 01:28:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Added popup menu on blocked host list. Added menu item to delete the host from the list.

2004-10-18 00:16:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO

	* Updated TODO

2004-10-17 21:04:17  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/README

	* Added README

2004-10-17 17:45:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO

	* Updated TODO

2004-10-17 17:05:06  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Added blockhost to the installation

2004-10-17 16:08:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-17 16:08:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-17 16:07:45  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.51.2

2004-10-17 16:07:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/blockhost.c

	* Minor changes

2004-10-17 16:05:31  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/blockhost.c

	* Minor changes.

2004-10-17 15:51:41  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* Blocked hosts list integrated in drqman.

2004-10-17 14:49:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   A /trunk/drqueue/blockhost.c
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/listjobs.c
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/task.c
	   M /trunk/drqueue/task.h

	* Host blocking can be controlled from the command line

2004-10-17 07:18:17  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/database.c

	* indent -br -ut -ts2 database.c

2004-10-17 07:00:28  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/listjobs.c
	   M /trunk/drqueue/request.c

	* Host blocking seems to work. It still needs to be integrated in drqman.

2004-10-17 06:12:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/request.c

	* Basic support for block lists.

2004-10-17 06:11:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/listjobs.c

	* Test tool for hosts block lists

2004-10-17 04:39:36  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h

	* Added request list of blocked hosts

2004-10-17 04:16:09  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h

	* Added support for removal of blocked hosts

2004-10-17 03:28:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h
	   M /trunk/drqueue/database.c
	   M /trunk/drqueue/database.h
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h

	* Working on block host feature

2004-10-16 23:23:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO

	* Updated TODO

2004-10-16 23:16:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h

	* Maximum number of CPUs can be set in the slave through the command line

2004-10-16 22:05:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h

	* Support for autoenable time on command line.

2004-10-16 13:04:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-16 13:04:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-16 13:03:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.51.1

2004-10-16 01:24:38  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO

	* Updated TODO

2004-10-15 23:15:58  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c
	   M /trunk/drqueue/drqman/drqm_computers.h
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h

	* Full support for autoenable active flag.

2004-10-15 22:10:33  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer.h
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h

	* Added autoenable flag.

2004-10-15 11:49:33  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-15 11:49:06  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-15 11:48:46  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.51.0

2004-10-15 11:48:09  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Corrected to jobfinfo

2004-10-15 11:40:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/TODO
	   A /trunk/drqueue/bin/jobfinfo (from /branches/pre0.51/bin/jobfinfo:799)
	   M /trunk/drqueue/common.h
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/database.c
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   A /trunk/drqueue/jobfinfo.c (from /branches/pre0.51/jobfinfo.c:799)
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h
	   M /trunk/drqueue/request_errors.h

	* Merged branch pre0.51 on trunk

2004-10-15 11:27:36  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-15 11:27:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-15 11:26:54  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.50.0

2004-10-15 05:11:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Clean now also cleans bin/

2004-10-15 05:10:46  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/bin/drqman
	   M /trunk/drqueue/bin/requeue
	   M /trunk/drqueue/bin/sendjob

	* Corrected

2004-10-14 20:32:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/blendersg.c
	   M /trunk/drqueue/blendersg.h
	   M /trunk/drqueue/bmrtsg.c
	   M /trunk/drqueue/bmrtsg.h
	   M /trunk/drqueue/common.c
	   M /trunk/drqueue/common.h
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer.h
	   M /trunk/drqueue/computer_info.c
	   M /trunk/drqueue/computer_info.h
	   M /trunk/drqueue/computer_status.c
	   M /trunk/drqueue/computer_status.h
	   M /trunk/drqueue/constants.h
	   M /trunk/drqueue/database.c
	   M /trunk/drqueue/database.h
	   M /trunk/drqueue/drerrno.c
	   M /trunk/drqueue/drerrno.h
	   M /trunk/drqueue/drqman/drqm_common.c
	   M /trunk/drqueue/drqman/drqm_common.h
	   M /trunk/drqueue/drqman/drqm_computers.c
	   M /trunk/drqueue/drqman/drqm_computers.h
	   M /trunk/drqueue/drqman/drqm_info.c
	   M /trunk/drqueue/drqman/drqm_info.h
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/drqman/drqm_jobs_blender.c
	   M /trunk/drqueue/drqman/drqm_jobs_blender.h
	   M /trunk/drqueue/drqman/drqm_jobs_bmrt.c
	   M /trunk/drqueue/drqman/drqm_jobs_bmrt.h
	   M /trunk/drqueue/drqman/drqm_jobs_maya.c
	   M /trunk/drqueue/drqman/drqm_jobs_maya.h
	   M /trunk/drqueue/drqman/drqm_jobs_pixie.c
	   M /trunk/drqueue/drqman/drqm_jobs_pixie.h
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h
	   M /trunk/drqueue/drqman/drqman.h
	   M /trunk/drqueue/drqman/main.c
	   M /trunk/drqueue/drqman/notebook.c
	   M /trunk/drqueue/drqman/notebook.h
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/libdrqueue.h
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/logger.h
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/master.h
	   M /trunk/drqueue/mayasg.c
	   M /trunk/drqueue/mayasg.h
	   M /trunk/drqueue/pixiesg.c
	   M /trunk/drqueue/pixiesg.h
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h
	   M /trunk/drqueue/request_errors.h
	   M /trunk/drqueue/requeue.c
	   M /trunk/drqueue/semaphores.c
	   M /trunk/drqueue/semaphores.h
	   M /trunk/drqueue/sendjob.cpp
	   M /trunk/drqueue/sendjob.h
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h
	   M /trunk/drqueue/task.c
	   M /trunk/drqueue/task.h

	* Added GPL headers

2004-10-14 16:47:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h

	* Solved SES (start,end,step) update problem (included block_size). Solved also problem with free that caused error messages on the master

2004-10-14 14:21:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/COPYING (from /trunk/drqueue/LICENSE:767)
	   D /trunk/drqueue/LICENSE

	* GPL stuff

2004-10-13 22:37:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-13 22:36:52  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-13 22:36:03  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog
	   M /trunk/drqueue/Revision
	   M /trunk/drqueue/common.h

	* Changes that happened while testing new build_package.sh

2004-10-13 22:32:46  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* Now packages untar on directory drqueue.<version> instead of drqueue.

2004-10-13 22:07:56  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/bin/drqman

	* Added drqman script to the repository

2004-10-13 21:55:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Solved bug 0000003. Job's OS limits not working now works.

2004-10-13 21:52:58  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Trying to resolve bug 0000003. OS limits not working. Again.

2004-10-13 21:49:10  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Trying to resolve bug 0000003. OS limits not working.

2004-10-13 21:04:22  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Bug 0000003 resolved. Problem showing OS flags on job's detail dialog.

2004-10-13 20:42:33  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.c

	* Bug 0000002 resolved

2004-10-13 20:12:42  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.c

	* Changed Opteron detection string

2004-10-13 14:45:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Solved small memory leak

2004-10-13 11:59:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO

	* Updated

2004-10-13 11:54:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO

	* Updated

2004-10-13 11:53:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.h

	* "#ifdef...#else..." changed for "#if defined..."

2004-10-13 10:35:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-13 10:34:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-13 10:34:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.50rc8

2004-10-13 10:32:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* All popup windows made toplevel

2004-10-13 10:27:37  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* New job dialog improved placing in another tab, all KOJ information

2004-10-13 00:54:17  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-13 00:53:55  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-13 00:53:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.50rc7

2004-10-13 00:45:46  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h
	   M /trunk/drqueue/drqman/main.c

	* Major bugfixes. Bug 0000001 fixed.

2004-10-12 16:49:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO

	* Bug section on drqman removed, as everything seems to be solved and we have a bug tracker now

2004-10-12 16:48:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Nicer job details dialog (tabbed)

2004-10-12 10:48:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* New Revision commited by build_package.sh

2004-10-12 10:48:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-12 10:48:04  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.50rc6

2004-10-12 03:11:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   D /trunk/drqueue/tag_edit

	* tag_edit removed, as it was a tool for cvs

2004-10-12 02:56:13  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* Added $, and set the keywords

2004-10-12 01:28:09  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* Minor code cleanup

2004-10-12 01:06:16  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO

	* Updated TODO. Consistency checks on slave, done.

2004-10-12 01:05:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h

	* Added consistency check on slave that creates a new process, just in case things get weird. Like in v0.49 were one slave hanged out as running when it actually wasn't.

2004-10-11 23:58:10  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO

	* Updated TODO

2004-10-11 17:57:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Several minor bug fixes in the job\'s page

2004-10-11 17:13:36  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Added CPPFLAGS for sendjob

2004-10-11 17:09:13  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/sendjob.cpp

	* Solved compilation bug on FreeBSD and MacOS X

2004-10-11 16:11:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* Previous tag stored on Revision

2004-10-11 16:10:47  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* build_package.sh now also commits the Revision just after the update

2004-10-11 16:04:08  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Changelog commited by build_package.sh

2004-10-11 16:03:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number on common.h: 0.50rc5

2004-10-11 16:03:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* Commit Changelog added

2004-10-11 15:59:54  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* Revision update after tagging, not before

2004-10-11 15:47:49  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* Commited by build_release.sh

2004-10-11 15:46:31  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Revision

	* Commited by build_release.sh

2004-10-11 15:45:36  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* Now it autocreates the tag

2004-10-11 15:35:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog
	   M /trunk/drqueue/Revision

	* Modified by buil_release.sh

2004-10-11 15:33:54  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* Fixed problem of tar not excluding .svn files.

2004-10-11 15:26:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* Added $VERSION to commit line.
	* Also uncommented it.

2004-10-11 15:24:08  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog

	* Updated ChangeLog

2004-10-11 15:23:38  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/svn-scripts/build_release.sh

	* build_release.sh seems to work now. Let's test it !

2004-10-11 15:04:55  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/ChangeLog
	   M /trunk/drqueue/Revision
	   M /trunk/drqueue/common.h
	   A /trunk/drqueue/svn-scripts
	   A /trunk/drqueue/svn-scripts/build_release.sh

	* Working on build package script

2004-10-11 12:54:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/Revision

	* Added Revision

2004-10-11 12:53:04  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/ChangeLog

	* ChangeLog added

2004-10-11 11:54:48  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.c
	   M /trunk/drqueue/common.h

	* Declaration and include missing.

2004-10-11 11:51:13  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New release candidate

2004-10-11 10:45:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.c

	* Basic checks before removing directory.

2004-10-11 10:25:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* FreeBSD compilation bug solved

2004-10-10 19:08:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/Makefile

	* Added keywords to drqman

2004-10-10 19:07:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_common.c
	   M /trunk/drqueue/drqman/drqm_common.h
	   M /trunk/drqueue/drqman/drqm_computers.c
	   M /trunk/drqueue/drqman/drqm_computers.h
	   M /trunk/drqueue/drqman/drqm_info.c
	   M /trunk/drqueue/drqman/drqm_info.h
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/drqman/drqm_jobs_blender.c
	   M /trunk/drqueue/drqman/drqm_jobs_blender.h
	   M /trunk/drqueue/drqman/drqm_jobs_bmrt.c
	   M /trunk/drqueue/drqman/drqm_jobs_bmrt.h
	   M /trunk/drqueue/drqman/drqm_jobs_maya.c
	   M /trunk/drqueue/drqman/drqm_jobs_maya.h
	   M /trunk/drqueue/drqman/drqm_jobs_pixie.c
	   M /trunk/drqueue/drqman/drqm_jobs_pixie.h
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h
	   M /trunk/drqueue/drqman/drqman.h
	   M /trunk/drqueue/drqman/main.c
	   M /trunk/drqueue/drqman/notebook.c
	   M /trunk/drqueue/drqman/notebook.h

	* Added keywords to drqman

2004-10-10 19:01:07  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version

2004-10-10 18:59:25  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c

	* Updated ConfirmDialog stuff

2004-10-10 18:55:22  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_common.c
	   M /trunk/drqueue/drqman/drqm_common.h
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Solved bug of non-refreshing main window, when then job is hard-stopped

2004-10-10 18:15:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Solved bug of non-closing job details window

2004-10-10 18:00:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Solved problem in the job details window.

2004-10-10 17:40:41  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/TODO

	* TODO updated

2004-10-10 14:55:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/blendersg.c
	   M /trunk/drqueue/blendersg.h
	   M /trunk/drqueue/bmrtsg.c
	   M /trunk/drqueue/bmrtsg.h
	   M /trunk/drqueue/common.c
	   M /trunk/drqueue/common.h
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer.h
	   M /trunk/drqueue/computer_info.c
	   M /trunk/drqueue/computer_info.h
	   M /trunk/drqueue/computer_status.c
	   M /trunk/drqueue/computer_status.h
	   M /trunk/drqueue/constants.h
	   M /trunk/drqueue/database.c
	   M /trunk/drqueue/database.h
	   M /trunk/drqueue/drerrno.c
	   M /trunk/drqueue/drerrno.h
	   M /trunk/drqueue/drqman/Makefile
	   M /trunk/drqueue/drqman/drqm_common.c
	   M /trunk/drqueue/drqman/drqm_common.h
	   M /trunk/drqueue/drqman/drqm_computers.c
	   M /trunk/drqueue/drqman/drqm_computers.h
	   M /trunk/drqueue/drqman/drqm_info.c
	   M /trunk/drqueue/drqman/drqm_info.h
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/drqman/drqm_jobs_blender.c
	   M /trunk/drqueue/drqman/drqm_jobs_blender.h
	   M /trunk/drqueue/drqman/drqm_jobs_bmrt.c
	   M /trunk/drqueue/drqman/drqm_jobs_bmrt.h
	   M /trunk/drqueue/drqman/drqm_jobs_maya.c
	   M /trunk/drqueue/drqman/drqm_jobs_maya.h
	   M /trunk/drqueue/drqman/drqm_jobs_pixie.c
	   M /trunk/drqueue/drqman/drqm_jobs_pixie.h
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h
	   M /trunk/drqueue/drqman/drqman.h
	   M /trunk/drqueue/drqman/main.c
	   M /trunk/drqueue/drqman/notebook.c
	   M /trunk/drqueue/drqman/notebook.h
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/libdrqueue.h
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/logger.h
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/master.h
	   M /trunk/drqueue/mayasg.c
	   M /trunk/drqueue/mayasg.h
	   M /trunk/drqueue/pixiesg.c
	   M /trunk/drqueue/pixiesg.h
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h
	   M /trunk/drqueue/request_errors.h
	   M /trunk/drqueue/requeue.c
	   M /trunk/drqueue/semaphores.c
	   M /trunk/drqueue/semaphores.h
	   M /trunk/drqueue/sendjob.h
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h
	   M /trunk/drqueue/task.c
	   M /trunk/drqueue/task.h

	* Added keywords, that were lost on cvs2svn

2004-10-10 14:04:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/TODO (from /trunk/drqueue/todo:690)
	   D /trunk/drqueue/todo

	* todo changed to TODO

2004-10-10 05:02:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* svn test

2004-10-09 23:21:01  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/etc/maya.sg

	* Bug 0000002 solved. Thanks to Shawn Parr.

2004-10-09 21:34:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/etc/maya.sg

	* Bug 0000001 solved.

2004-10-09 07:50:13  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/contrib/sendjob.blender.py

	* Added -t blender

2004-10-09 07:22:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Updated Makefile

2004-10-09 07:21:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/sendjob.cpp
	   M /trunk/drqueue/sendjob.h

	* New sendjob supporting Maya and Blender

2004-10-09 06:50:37  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   A /trunk/drqueue/contrib
	   A /trunk/drqueue/contrib/sendjob.blender.py

	* Added sendjob.blender.py

2004-10-09 06:42:58  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Bugfix

2004-10-09 05:44:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Minor bug

2004-10-09 05:42:36  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Added Darwin_install, not tested yet

2004-10-09 05:39:25  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Updated Linux_install

2004-10-09 05:31:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.c
	   M /trunk/drqueue/computer_info.h

	* Added Opteron

2004-10-06 18:34:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/CREDITS
	   M /trunk/drqueue/todo

	* Theodore, you deser much more. Thanks a lot

2004-10-06 18:33:17  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Small bug in INSTGID line

2004-10-06 18:26:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/sendjob.cpp
	   M /trunk/drqueue/sendjob.h

	* sendjob compiling bugs solved

2004-10-06 18:16:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.c
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* More FreeBSD related changes

2004-10-06 15:56:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/todo

	* Total frame number bug: seems solved

2004-04-26 18:25:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/bin/master
	   M /trunk/drqueue/bin/requeue
	   M /trunk/drqueue/bin/sendjob
	   M /trunk/drqueue/bin/slave
	   M /trunk/drqueue/blendersg.c
	   M /trunk/drqueue/bmrtsg.c
	   M /trunk/drqueue/bmrtsg.h
	   M /trunk/drqueue/common.h
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer_info.c
	   M /trunk/drqueue/computer_info.h
	   M /trunk/drqueue/computer_status.c
	   M /trunk/drqueue/computer_status.h
	   M /trunk/drqueue/drqman/Makefile
	   M /trunk/drqueue/etc/3delight.sg
	   M /trunk/drqueue/etc/blender.sg
	   M /trunk/drqueue/etc/bmrt.sg
	   M /trunk/drqueue/etc/maya.sg
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/mayasg.c
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/task.c
	   M /trunk/drqueue/task.h

	* Changes made by Theodore Schundler

2004-04-23 22:40:52  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/etc/aqsis.sg

	* Preliminary aqsis.sg

2004-04-23 22:40:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/etc/pixie.sg

	* Minor correction. Changed Maya to Pixie.

2004-04-23 20:56:16  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/CREDITS

	* Goran Kocov added to credits

2004-04-23 18:56:28  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New release

2004-03-16 00:45:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/CREDITS
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/job.c

	* Step frame bug solved

2004-03-09 19:54:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/drqman/drqm_jobs_pixie.c
	   A /trunk/drqueue/drqman/drqm_jobs_pixie.h
	   A /trunk/drqueue/pixiesg.c
	   A /trunk/drqueue/pixiesg.h

	* Added Pixie support

2004-03-09 19:53:22  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/drqman/Makefile
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/etc/pixie.sg
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/libdrqueue.h

	* Added pixie support. Added checkbox for OSX.

2004-02-24 11:39:28  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Mac OS X bug with unwaited children solved

2004-02-21 00:24:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New release

2004-02-21 00:24:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Bug of Mac OS X forking problem solved

2004-01-24 01:21:09  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version release

2004-01-24 01:19:08  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.h
	   M /trunk/drqueue/drqman/Makefile

	* Working on Mac OSX

2004-01-23 04:28:00  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer_info.c
	   M /trunk/drqueue/computer_info.h
	   M /trunk/drqueue/computer_status.c
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/semaphores.c

	* Preliminary OSX support

2004-01-22 18:48:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/bmrtsg.h
	   M /trunk/drqueue/common.h
	   M /trunk/drqueue/computer_info.c
	   M /trunk/drqueue/computer_info.h
	   M /trunk/drqueue/computer_status.h
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/task.h

	* Working on OSX port.

2004-01-16 01:17:37  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/common.h

	* New release

2004-01-07 22:50:21  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/libdrqueue.h
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/master.h
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h

	* No more unnecesary delays

2004-01-07 19:18:00  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/CREDITS

	* Added thanks to Marco Gaib

2003-12-24 12:29:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New release

2003-12-24 12:00:49  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Minor change: CopyJob_CloneInfo caused some error messages

2003-12-24 11:33:31  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Now CopyJobs also copies the priority settings

2003-12-24 10:36:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New release

2003-12-22 23:38:58  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs_bmrt.c

	* Added jdd koj Bmrt details.

2003-12-20 14:08:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Added bmrt koj support on send_job and recv_job.

2003-12-19 18:50:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New release

2003-12-19 18:42:37  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs_blender.c
	   M /trunk/drqueue/drqman/drqm_jobs_bmrt.c
	   M /trunk/drqueue/drqman/drqm_jobs_maya.c

	* Bug fixes

2003-12-19 18:26:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/drqman/Makefile
	   M /trunk/drqueue/drqman/drqm_computers.c
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Changed drqman to gtk+-2.0

2003-12-19 02:34:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/CREDITS

	* Added CREDITS

2003-12-19 01:08:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Segmentation fault bug fix on jdd sort functions

2003-12-19 00:08:58  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/job.c

	* More bug fixes

2003-12-18 22:52:41  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/etc/bmrt.sg

	* Bug fix. Added case statement

2003-12-18 22:38:32  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs_bmrt.c

	* Bug fixes

2003-12-18 22:11:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs_bmrt.c
	   M /trunk/drqueue/etc/bmrt.sg
	   M /trunk/drqueue/etc/maya.sg
	   M /trunk/drqueue/job.c

	* Bug fixes

2003-12-18 21:40:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New release v0.43

2003-12-18 21:39:41  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/blendersg.h
	   A /trunk/drqueue/bmrtsg.c
	   A /trunk/drqueue/bmrtsg.h
	   M /trunk/drqueue/drqman/Makefile
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   A /trunk/drqueue/drqman/drqm_jobs_bmrt.c
	   A /trunk/drqueue/drqman/drqm_jobs_bmrt.h
	   M /trunk/drqueue/etc/bmrt.sg
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/libdrqueue.h
	   M /trunk/drqueue/mayasg.c
	   M /trunk/drqueue/mayasg.h

	* First commit with support for bmrt

2003-12-18 05:31:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added tooltip for block size entry on the new job dialog

2003-12-18 05:13:22  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Updated version

2003-12-18 05:11:07  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/drqman/Makefile
	   M /trunk/drqueue/drqman/drqm_info.c
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   A /trunk/drqueue/drqman/drqm_jobs_blender.c
	   A /trunk/drqueue/drqman/drqm_jobs_blender.h
	   A /trunk/drqueue/drqman/drqm_jobs_maya.c
	   A /trunk/drqueue/drqman/drqm_jobs_maya.h
	   M /trunk/drqueue/etc/blender.sg
	   D /trunk/drqueue/etc/blenderblock.sg
	   M /trunk/drqueue/etc/maya.sg
	   D /trunk/drqueue/etc/mayablock.sg
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/task.c
	   M /trunk/drqueue/task.h
	   M /trunk/drqueue/todo

	* Only two kind of jobs, with block size

2003-12-18 02:27:01  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/etc/3delight.sg
	   A /trunk/drqueue/etc/bmrt.sg
	   A /trunk/drqueue/etc/pixie.sg

	* Added .sg files for bmrt, 3delight and pixie

2003-12-15 23:19:25  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/LICENSE

	* Added License file

2003-12-15 23:18:32  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   A /trunk/drqueue/blendersg.c
	   A /trunk/drqueue/blendersg.h
	   M /trunk/drqueue/common.c
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer.h
	   M /trunk/drqueue/drqman/drqm_info.c
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   D /trunk/drqueue/drqman/eeelogo.xpm
	   A /trunk/drqueue/etc/blender.sg
	   A /trunk/drqueue/etc/blenderblock.sg
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/libdrqueue.h
	   M /trunk/drqueue/sendjob.cpp
	   M /trunk/drqueue/setenv

	* Added Blender support

2002-12-02 23:42:25  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/bin/slave

	* Added parameters

2002-12-02 23:24:08  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/drerrno.c
	   M /trunk/drqueue/drerrno.h
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/etc/maya.sg
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   D /trunk/drqueue/sendjob.c
	   M /trunk/drqueue/sendjob.cpp
	   M /trunk/drqueue/task.c

	* Lots of changes

2002-09-22 21:12:03  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/bin/poolcheck.pl
	   A /trunk/drqueue/bin/sendjob
	   A /trunk/drqueue/bin/slasher.pl
	   A /trunk/drqueue/sendjob.cpp

	* Added to repository

2002-09-22 21:10:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/etc/maya.sg
	   M /trunk/drqueue/mayasg.c
	   M /trunk/drqueue/mayasg.h
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/sendjob.h

	* Updates

2002-08-04 23:30:01  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/master.h
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h

	* Redeclaration problem with KEY solved

2002-08-04 23:20:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Solved bug that caused segmentation faults when changing the KOJ in DNJ.

2002-08-04 23:19:36  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/master.h
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h

	* Key file defined as constant.

2002-08-02 19:42:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/etc/maya.sg
	   M /trunk/drqueue/etc/mayablock.sg

	* Requeueing enabled

2002-08-02 19:41:32  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version

2002-08-02 19:40:21  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/etc/maya.sg
	   M /trunk/drqueue/etc/mayablock.sg
	   M /trunk/drqueue/mayasg.c
	   M /trunk/drqueue/mayasg.h

	* Minor changes

2002-07-23 15:03:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Support for file owner setting on GUI.
	* Solved bug that caused frames not to be requeued.

2002-07-01 14:47:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/bin/slave

	* Restart of slaves after death.

2002-06-27 11:47:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/bin/chown_block

	* Now works...

2002-06-27 11:23:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version.

2002-06-27 11:23:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Bug in send_task, recv_task solved.

2002-06-27 11:22:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c

	* A small change; more verbose on failure.

2002-06-27 11:22:07  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/etc/maya.sg
	   M /trunk/drqueue/etc/mayablock.sg

	* Bbug in requeueing fixed.

2002-06-26 19:22:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/drqman/Makefile
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/setenv

	* Bug not solved. Working on it.

2002-06-26 15:34:38  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Updated version number

2002-06-26 15:33:55  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h

	* There were some problems with drqman (segmentation faults) when starting. I tried to solve it by making a clearer trasnmission of the header of the computer_status.

2002-06-26 15:32:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/etc/maya.sg

	* Added setting the owners of the rendered files as requested.

2002-06-26 15:31:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/setenv

	* Master moved to webster.

2002-06-26 15:31:00  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Added chown_block to the linux_install target.

2002-06-26 15:30:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number.

2002-06-26 15:29:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/etc/mayablock.sg

	* Added to repo

2002-06-25 18:14:54  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/bin/chown_block

	* More comments

2002-06-25 18:11:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/bin/chown_block

	* Working.

2002-06-25 18:03:01  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/bin/chown_block

	* Added to repository

2002-06-24 10:40:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Frames clist keeps the latest sort type when updated

2002-06-21 21:02:21  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   D /trunk/drqueue/bin/master.sh
	   D /trunk/drqueue/bin/slave.sh

	* Removed master and slave .sh

2002-06-21 17:49:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added ordering based on time and icomp.

2002-06-21 00:55:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Several upgrades. Ordering of frames by status, exitcode or number. Nicer job details view

2002-06-20 21:36:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/requeue.c

	* Added to repository

2002-06-20 21:32:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Using a table to solve the problem with long filenames

2002-06-20 17:28:48  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/bin/master
	   M /trunk/drqueue/bin/requeue
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/drqman/Makefile
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/etc/maya.sg
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/mayasg.c
	   M /trunk/drqueue/mayasg.h
	   M /trunk/drqueue/task.c
	   M /trunk/drqueue/task.h

	* Support for Maya Block rendering but working on the GUI

2002-06-18 14:27:46  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/bin/master
	   M /trunk/drqueue/bin/requeue
	   M /trunk/drqueue/bin/slave

	* Didn't work... so fixed

2002-06-18 14:16:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/bin/master
	   A /trunk/drqueue/bin/requeue
	   A /trunk/drqueue/bin/slave

	* More generic

2002-06-17 18:27:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/etc/maya.sg
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/mayasg.c
	   M /trunk/drqueue/mayasg.h

	* Render directory in place of project directory.

2002-05-17 18:07:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Updated version number.

2002-05-17 18:06:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/bin/path2unix.pl

	* Added to repository.

2002-05-17 18:06:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/setenv

	* Pointing to render1

2002-05-17 18:05:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/slave.c

	* Several updates and bugfixes.

2002-05-17 18:03:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drerrno.c

	* Information not complete error message.

2002-05-17 18:03:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/constants.h

	* Much more relaxed time limits.

2002-05-17 18:02:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.c
	   M /trunk/drqueue/computer_info.h

	* Updated to detect Athlon cpus.

2002-05-17 18:02:05  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Several linux installation updates.

2002-03-01 16:27:56  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* New version number.

2002-03-01 15:14:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer.h
	   M /trunk/drqueue/slave.c

	* Support for autoenable.

2002-03-01 12:38:08  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_status.c
	   M /trunk/drqueue/computer_status.h
	   M /trunk/drqueue/slave.c

	* Solved possible race condition problem.

2002-03-01 12:07:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c

	* Removed test comments

2002-03-01 12:06:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c

	* Test comment

2002-03-01 12:00:04  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c

	* Removed dumb lines

2002-03-01 11:58:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c

	* Added dumb line.

2002-03-01 10:36:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/task.c

	* Environment updated to have the owner of the job in it.

2002-02-27 17:36:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/request.c

	* Using new logger functions

2002-02-27 11:42:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Use of the new log functions.

2002-02-27 11:42:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/logger.h

	* Variable number of arguments on log functions.

2002-02-27 11:41:45  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Minor changes.

2002-02-27 11:41:17  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/database.c

	* Minor updates. More info on log messages.

2002-02-26 16:52:05  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.c
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/constants.h
	   M /trunk/drqueue/drqman/drqm_computers.c
	   M /trunk/drqueue/drqman/drqm_computers.h
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/logger.h
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h
	   M /trunk/drqueue/sendjob.c
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/todo

	* Working on it

2002-02-21 16:56:25  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c
	   M /trunk/drqueue/drqman/drqm_computers.h

	* Basic autoenable time support.

2002-02-21 16:50:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c

	* Now shows the autoenable time.

2002-02-21 16:49:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Solved bug that caused segmentation faults, trying for free already freed memory.

2002-02-21 12:45:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/bin
	   A /trunk/drqueue/bin/master.sh
	   A /trunk/drqueue/bin/slave.sh

	* Added to repository

2002-02-15 12:51:00  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.c
	   M /trunk/drqueue/common.h
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h
	   M /trunk/drqueue/computer.h
	   M /trunk/drqueue/computer_status.c
	   M /trunk/drqueue/computer_status.h
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/todo

	* Working on

2001-11-26 13:19:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Minor changes.

2001-11-26 13:19:05  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Small corruption

2001-11-23 16:53:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/etc/drqman.rc

	* Different font

2001-11-23 16:53:38  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* More debugging messages on handle_r_r_slavexit

2001-11-23 16:52:05  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Mail notifications only if the appropiate flag is set.

2001-11-23 16:50:47  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.c

	* Minor bugfix on mail notifications.

2001-11-23 16:47:45  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Installation of etc files.

2001-11-23 16:29:07  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/constants.h

	* Different timing.

2001-11-23 16:28:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Bugfix :
	 * register_slave : the slaves always had 0 on the id while the master had the good value.

2001-11-23 16:07:48  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Minor bugfix :
	 * handle_r_r_slavexit : if the transmission was interrupted before receiving the icomp, the first job was deleted.

2001-11-23 15:43:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Bugfix :
	 * handle_r_r_slavexit : did not release the semaphore.

2001-11-23 12:52:03  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/etc/drqman.rc

	* First commit.

2001-11-23 12:51:41  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/main.c

	* Basic suport for resource file.

2001-11-23 12:51:13  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Minor bugfix.

2001-11-22 16:05:48  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Updated version number.

2001-11-22 15:44:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* Added operating system flags and limits.

2001-11-22 15:43:14  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/database.h

	* Updated version number.

2001-11-22 15:43:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Added job limits to the job send and receive functions.

2001-11-21 17:07:37  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/database.c

	* Minor bugfix

2001-11-21 11:17:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/etc
	   A /trunk/drqueue/etc/maya.sg

	* Added to repository.

2001-11-21 11:16:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Specific email buttons now insensitive when appropiate.

2001-11-21 11:16:09  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-11-21 11:16:05  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Minor changes.

2001-11-21 11:15:49  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/mayasg.c

	* Added maya script generator config file.

2001-11-21 11:15:22  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.c
	   M /trunk/drqueue/drerrno.c
	   M /trunk/drqueue/drerrno.h

	* Added stuff for "etc" directory

2001-11-19 12:44:28  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* The average frame time now is not rounded to a SLAVEDELAY boundary.

2001-11-19 10:49:25  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Updated version number.

2001-11-19 10:46:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added :
	 * jdd_koj_widgets : to show the koj information in the details window

2001-11-19 10:45:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.h

	* Updated.

2001-11-16 16:51:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Added support for specific email on mail notifications

2001-11-16 16:51:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated

2001-11-16 16:51:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c

	* Bug fix, the master finds the index of the computer after
	* forking, so it does not consume so much time on the main
	* process.

2001-11-16 16:50:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.h

	* Added flags and stuff to suport the specific email on mail notifications.

2001-11-16 16:49:41  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Added :
	 * job_koj_string
	* Modified the rest of function that return strings.

2001-11-16 16:48:32  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/database.h

	* Updated.

2001-11-16 16:48:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.c

	* Modified function that return strings.

2001-11-16 16:47:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h

	* Modified :
	 * accept_socket : it does not find the index of the conecting
	* 	computer anymore. Because that task required to call
	* 	gethostbyaddr before forking and it's expensive in time.

2001-11-16 16:39:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.c

	* Added support for specific email on mail notifications.

2001-11-15 15:31:05  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated

2001-11-15 15:30:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.c
	   M /trunk/drqueue/drerrno.c
	   M /trunk/drqueue/drerrno.h

	* Added checks for directories on common_environment_check, and also the appropiate error codes on drerrno.

2001-11-14 17:12:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-11-14 17:12:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/notebook.c

	* Added drqm_info.h

2001-11-14 15:23:37  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.c

	* Modified :
	 * mn_job_finished : now it works.

2001-11-13 16:52:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Updated :
	 * to use time_str function instead of hard coded string.

2001-11-13 16:51:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-11-13 16:51:17  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Added :
	 * call to mn_job_finished when the job is switched to JOBSTATUS_FINISHED.

2001-11-13 16:50:25  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.c
	   M /trunk/drqueue/common.h

	* Added :
	 * time_str : function to convert a number of seconds into an string with hours, minutes and seconds.

2001-11-13 10:50:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Added flags structure.

2001-11-13 10:50:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added:
	 * dnj and jdd flags widgets.

2001-11-13 09:38:32  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.h

	* Added job flags section, and mail notification flag.

2001-11-09 16:01:13  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-11-09 16:01:05  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* Added flags to the job structure.

2001-11-09 16:00:47  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/database.h

	* Database version update because of changes to the job structure.

2001-11-08 16:43:52  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/drqman/eeelogo.xpm

	* Added to repository

2001-11-08 13:04:21  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_info.c

	* Added small info text.

2001-11-08 12:47:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_info.c
	   M /trunk/drqueue/drqman/drqman.h
	   M /trunk/drqueue/drqman/main.c

	* First logo inside the info view.

2001-11-08 12:47:22  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/Makefile

	* Small bugfix.

2001-11-08 12:10:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/Makefile
	   A /trunk/drqueue/drqman/drqm_info.c
	   A /trunk/drqueue/drqman/drqm_info.h
	   M /trunk/drqueue/drqman/notebook.c

	* Added info tab.

2001-11-08 12:09:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated

2001-11-08 10:14:03  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/database.c
	   M /trunk/drqueue/database.h
	   M /trunk/drqueue/drerrno.c
	   M /trunk/drqueue/drerrno.h
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/request.c

	* Suppport for saving and loading master database.

2001-11-07 11:21:46  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/request.c

	* Adapted to the new send and receive computer hardware info.

2001-11-07 11:20:45  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h

	* Modified :
	 * send and receive computer hardware info do not use anymore the who value. And now they return error code.

2001-11-02 17:12:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/database.c
	   M /trunk/drqueue/database.h

	* Working on database save and load.

2001-11-02 11:53:00  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/database.c
	   M /trunk/drqueue/database.h
	   M /trunk/drqueue/master.c

	* Working on database_save.

2001-10-31 16:59:38  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/database.c
	   M /trunk/drqueue/drerrno.c
	   M /trunk/drqueue/drerrno.h

	* Minor changes.

2001-10-29 17:25:16  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h
	   M /trunk/drqueue/database.c
	   M /trunk/drqueue/database.h

	* Working on database save and reload.

2001-10-29 11:13:56  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Updated version number.

2001-10-26 15:56:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Bugfix :
	 * get_shared_memory_slave : exit instead of kill to avoid segfault on signal handler.

2001-10-25 15:20:16  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c

	* Modified :
	 * removed goto's

2001-10-25 15:19:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* Added :
	 * job_logs_remove

2001-10-25 15:17:45  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-10-25 15:17:37  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.c
	   M /trunk/drqueue/common.h

	* Added :
	 * remove_dir

2001-10-24 16:53:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h

	* Added :
	 * support for priority update.

2001-10-24 16:52:52  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request_codes.h

	* Removed :
	 * R_A_* definitions.

2001-10-24 16:52:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h

	* Added :
	 * r_r_jobpriup family of functions

2001-10-24 16:52:00  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Added :
	 * job_logs_remove

2001-10-24 14:51:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Working on job details change priority.

2001-10-22 16:16:55  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h

	* Added support for changing the maximum number of cpus in one computer.

2001-10-22 16:16:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Some semaphores were not released.

2001-10-22 16:12:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Minor change.

2001-10-16 17:38:05  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h

	* Working...

2001-10-11 12:32:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c

	* Bug fixes :
	 * numerous incorrect uses of info->icomp when should be info->row. Solved.

2001-10-11 12:32:04  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Bug fix :
	 * job_nframes : did not calculate the correct frame number with bigger steps than one. It always gave one frame less. Now it's solved.

2001-10-08 17:02:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Updated

2001-10-08 17:02:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Removed unuseful comentaries.

2001-10-08 16:57:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c

	* Bug fix :
	 * computer_update_assigned : initialization of task.itask

2001-10-08 16:19:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Conflicts solved.

2001-10-08 16:13:47  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* More logging messages.

2001-10-08 14:43:07  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Modified :
	 * handle_r_r_register : Less verbosity, do not report registered computers.

2001-10-08 14:33:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Updated.

2001-10-08 14:32:55  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Modified :
	 * handle_r_r_jobsesup : now working

2001-10-08 14:32:03  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Added :
	 * job_frame_info_init

	* Modified :
	 * job_init_registered : error checking

2001-10-08 14:31:06  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.h

	* Added :
	 * job_frame_info_init

2001-10-05 17:52:37  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h

	* Added functions to update the SES of a job. The button in the job details dialog. Needs a confimation dialog.

2001-10-05 17:51:25  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-10-05 17:51:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request_codes.h

	* Added :
	 * R_R_JOBSESUP

2001-10-05 17:50:31  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h

	* Working on R_R_JOBSESUP family.

2001-10-05 17:50:01  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c

	* Bug fix :
	 * computer_init : does not call to computer_init_limits because it depends on the hardware info.

2001-10-04 10:31:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Updated version number

2001-10-04 10:29:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/slave.c

	* Minor updates.

2001-10-04 10:20:47  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Modified :
	 * main : more comments on update_computer_limits and the call to update_computer_status now uses sdb.

2001-10-04 10:19:52  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.h

	* Modified :
	 * update_computer_status : now uses sdb as parameter.

2001-10-04 10:19:25  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Modified :
	 * update_computer_status : now uses a sdb as parameter because now we take the semaphore for copying the status.

2001-10-04 10:17:25  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Bug fix :
	 * send_computer_status : we need to count ntasks again.

2001-10-02 16:36:03  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Minor updates.

2001-10-02 14:55:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Modified :
	 * send_computer_status, recv_computer_status : Now they get itask from the received task so they don't need to send it before.

2001-10-02 14:42:00  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Updated version number.

2001-10-02 14:41:22  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c
	   M /trunk/drqueue/drqman/drqm_request.c

	* Changes to used task.itask.

2001-10-02 14:40:47  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/task.c
	   M /trunk/drqueue/task.h

	* Added :
	 * task.itask : index to the taks in the computer information kept by the slaves.

2001-10-02 14:40:01  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Working on the problems caused by shmat.

2001-10-02 14:39:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Working on the problems of shmat.

2001-10-02 14:38:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_status.c

	* Modified :
	 * computer_status_init : now sets to zero both loadavg and ntasks.

2001-10-02 14:37:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c

	* Modified :
	 * computer_init : now calls computer_status_init

2001-10-02 14:37:10  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h

	* Modifications sending computer status. Now it only send the tasks when they are used.
	* Also now the task includes a index to itself in the structure. That index points to it's location in the computer.

2001-10-02 14:31:01  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated

2001-10-01 12:30:54  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* More tooltips.

2001-09-28 16:59:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added :
	 * more tooltips

2001-09-28 12:40:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c

	* Modified :
	 * get_shared_memory : instead of kill(0,SIGINT) now uses exit(1) because we don't have the shared memory in case of failure and the clean_out function needs it.

2001-09-28 10:43:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Removed :
	 * HStopJobDialog
	 * djhs_bok_pressed

	* Added :
	 * job_hstop_cb

	* Modified :
	 * HStopJob : now uses ConfirmDialog

2001-09-26 12:47:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Added basic support for limits.

2001-09-25 17:57:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Updated.

2001-09-25 17:55:41  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Modified :
	 * handle_r_r_availjob : call to job_available now also uses icomp

2001-09-25 17:54:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* Modified :
	 * job_available : now considers job.limits before assigning a job
	 * job_first_frame_available : increments the number of running processes when assigning a frame
	 * job_frame_waiting : decrements nprocs

	* Added:
	 * job_limits_passed : that checks if the job limits relative to a specific computer are passed.

2001-09-25 17:50:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer.h

	* Added :
	 * computer_ntasks_job : that returns the number of tasks that are running a particular job in the computer given.

	* Modified :
	 * computer_update_assigned : now increments the number of running tasks

2001-09-25 11:29:49  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-09-25 11:29:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added :
	 * policy for scrolled windows, now scroll bars are automatic.

2001-09-25 10:23:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Added :
	 * job_init_limits : added basic initialization stuff

2001-09-24 18:10:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added :
	 * several tooltips on buttons and entries

2001-09-24 18:10:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_common.c
	   M /trunk/drqueue/drqman/drqm_common.h

	* Added :
	 * TooltipsNew : that creates a new tooltips object and sets the delay as TOOLTIPS_DELAY

2001-09-24 10:23:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.h

	* Added :
	 * job_init_limits

2001-09-21 16:43:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/task.c
	   M /trunk/drqueue/task.h

	* Modified :
	 * init_tasks : is now task_init_all

	* Added :
	 * task_init

2001-09-21 16:42:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Minor changes

2001-09-21 16:41:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Minor changes.

2001-09-21 16:40:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* Added :
	 * job_copy
	 * job_init_limits : is empty yet

2001-09-21 16:40:05  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_status.c
	   M /trunk/drqueue/computer_status.h

	* Modified :
	 * init_computer_status : is now computer_status_init

2001-09-20 12:53:19  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-09-20 12:52:56  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h
	   M /trunk/drqueue/database.c
	   M /trunk/drqueue/database.h
	   M /trunk/drqueue/master.c

	* Added :
	 * COMM_REPORT stuff

2001-09-20 12:52:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Minor bug fix.

2001-09-20 12:52:19  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Minor bugfixes.

2001-09-20 12:52:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/mayasg.c

	* Bug fix :
	 * added missing headers

2001-09-20 12:51:09  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_status.c

	* Bug fix :
	 * included missing headers.

2001-09-20 12:50:49  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Added :
	 * COMM_REPORT

2001-09-19 12:36:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Updated

2001-09-19 11:59:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/constants.h

	* Modified :
	 * MAXTIMENOCONN : now has a value of 120 seconds

2001-09-19 11:35:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-09-19 11:35:10  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c

	* Added :
	 * main : error detection on fork.

2001-09-19 11:08:45  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c

	* Modified :
	 * check_lastconn_times : log message now has priority L_WARNING when removing a computer from the queue.

2001-09-18 15:25:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-09-18 15:25:10  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Added :
	 * clean_out : now uses request_slavexit

2001-09-18 15:24:05  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h

	* Added :
	 * family of R_R_SLAVEXIT functions and data.

2001-09-18 15:19:03  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.h

	* Added :
	 * computer_index_correct_master

2001-09-18 15:18:16  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c

	* Added :
	 * computer_index_correct_master : checks if a icomp points to a used in range computer.

2001-09-18 14:58:46  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Removed :
	 * commented lines of alternative executing method.

2001-09-18 14:55:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-09-18 14:54:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added :
	 * total frames column on the job overview.

2001-09-18 14:38:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Minor changes.

2001-09-18 14:38:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Bug fix :
	 * job_update_info : finished jobs didn't move to waiting when there were waiting frames.

2001-09-18 12:48:16  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-09-18 12:48:10  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c

	* More comments.

2001-09-18 12:47:21  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Bug fix :
	 * main : the delay after launching a task was too high and the computer was removed from the queue.

2001-09-18 12:46:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/constants.h

	* Modified :
	 * MAXTIMENOCONN : now has a value of 45 seconds

2001-09-18 12:45:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Version update.

2001-09-18 11:25:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added :
	 * drqm_common.h

2001-09-18 11:25:03  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c

	* Removed :
	 * KillTaskDialog

	* Modified :
	 * KillTask : now uses ConfirmDialog

2001-09-18 11:24:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/drqman/drqm_common.c
	   A /trunk/drqueue/drqman/drqm_common.h

	* First commit.

2001-09-18 11:23:54  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/Makefile

	* Added :
	 * drqm_common.o

2001-09-17 16:53:58  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/task.c

	* Modified :
	 * task_environment_set : unified use of putenv both in linux and irix.

2001-09-17 16:53:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Added :
	 * main : launcehd variable and checking after launching tasks to have an appropiate delay if tasks have been launched.

2001-09-17 16:51:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Modified :
	 * job_environment_set : removed iframe environment variable

2001-09-17 14:36:14  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Updated.

2001-09-17 14:35:54  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Modified :
	 * job_environment_set : now using putenv both on Irix and Linux.

2001-09-17 14:30:52  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-09-17 14:30:10  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Bug fix:
	 * job_environment_set : on Irix using putenv, env strings must point to static localtions.

2001-09-17 12:56:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c

	* Bug fix:
	 * computer_available : counting number of possible tasks.

2001-09-17 12:55:22  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Minor bugfix.

2001-09-17 12:46:45  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Bug fix:
	 * jdd_maya_viewcmd_exec : exit on failure on the fork to view images.

2001-09-16 18:37:09  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Minor changes.

2001-09-16 18:36:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/task.c

	* Bug fix:
	 * header missing

2001-09-16 17:40:07  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Initial KOJ support.

2001-09-16 17:39:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/task.c
	   M /trunk/drqueue/task.h

	* Added :
	 * task_environment_set

2001-09-16 17:38:52  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.h

	* Removed :
	 * set_environment

2001-09-16 17:38:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Modified :
	 * launch_task now calls task_environment_set instead of set_environment

2001-09-16 17:36:17  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* Added :
	 * job_environment_set

2001-09-14 18:32:01  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Working on... not compilable.

2001-09-14 10:56:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated

2001-09-14 10:56:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.h

	* Added :
	 * Koj structure and constants.

2001-09-14 10:55:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Added :
	 * send_job and recv_job : koj stuff

2001-09-13 17:55:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.h

	* Working on kind of job (KOJ).

2001-09-12 17:05:09  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/job.h

	* Job.icomp is now uint32_t as in computer.id

2001-09-12 11:46:00  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Updated version number

2001-09-11 14:52:55  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h

	* Added :
	 * drqm_request_slave_task_kill

2001-09-11 14:52:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c

	* Added :
	 * CreateMenuTasks
	 * PopupMenuTasks
	 * KillTask
	 * KillTaskDialog
	 * dtk_bok_pressed

	* That means, support for killing the selected tasks from the
	* computer details dialog.

2001-09-10 17:42:56  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-09-10 11:17:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Modified :
	 * request_job_available when it assigns the task to the computer
	* 	also adds maxfreeloadcpu to the load average so it reflects what could be in the future.

2001-09-10 11:15:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c

	* Modified:
	 * computer_available now tries to take care of the difference of load between running tasks
	* 	and the load from other processes

2001-09-10 00:04:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h

	* Added :
	 * drqm_request_slave_limits_maxfreeloadcpu_set

2001-09-10 00:03:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c

	* Added :
	 * cdd_limits_maxfreeloadcpu_bcp
	 * mflc_dialog
	 * mflcd_bsumbit_pressed

2001-09-10 00:02:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request_codes.h

	* Added :
	 * RS_R_SETNMAXCPUS and RS_A_SETNMAXCPUS

2001-09-09 23:56:09  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.h

	* Added :
	 * request_slave_limits_maxfreeloadcpu_set
	 * handle_rs_r_setmaxfreeloadcpu

2001-09-09 23:55:37  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Added :
	 * RS_R_SETMAXFREELOADCPU family of functions

2001-09-09 23:54:56  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Version update.

2001-09-08 23:41:52  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h

	* Minor changes.
	* Added:
	 * drqm_request_slave_limits_nmaxcpus_set

2001-09-08 23:39:48  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.h

	* Added:
	 * enmaxcpus and emaxfreeloadcpu to cdd_li struct

2001-09-08 23:37:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c

	* Added:
	 * cdd_limits_nmaxcpus_bcp
	 * nmc_dialog
	 * nmcd_bsumbit_pressed

2001-09-08 22:47:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Bug fix:
	 * update_computer_limits goes after the registration.

2001-09-08 22:46:38  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request_codes.h

	* Added:
	 * R_R_UCLIMITS and R_A_UCLIMITS
	 * RS_R_SETNMAXCPUS and RS_A_SETNMAXCPUS

2001-09-08 22:45:46  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.h

	* Added:
	 * handle_r_r_uclimits
	 * update_computer_limits
	 * request_slave_limits_nmaxcpus_set
	 * handle_rs_r_setnmaxcpus

2001-09-08 22:42:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Added:
	 * R_R_UCLIMITS family of functions
	 * RS_R_SETNMAXCPUS family of functions
	 * request_slave_killtask now has a who parameter

2001-09-08 20:41:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Bug fix:
	 * SeeFrameLogDialog had window title "New Job"

2001-09-08 19:00:10  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c

	* Minor update.

2001-09-08 18:59:38  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Bug fix:
	 * computer_init_limits is called now after get_hwinfo.

2001-09-08 18:58:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c

	* Modified function:
	 * computer_available now takes care of the load. Based on the
	   load determines how many cpus are being used and so substracts
	   them to the previous possible tasks. Use the source Luke.

2001-09-08 18:21:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Removed call to computer_init_limits because it created an inconsistency with the slave information.

2001-09-08 18:20:32  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Added call to computer_init_limits before registering.

2001-09-08 17:55:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c

	* Updated function:
	 * computer_index_addr: more comments and small change.

2001-09-08 17:36:27  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Minor update.

2001-09-08 17:35:54  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.h

	* Added struct:
	 * struct cdd_li (limits info) inside drqmc_cddi (computer details dialog.

2001-09-08 17:34:25  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c

	* Naming change:
	 * numproc is now ncpus
	* Added:
	 * limits basic info on computers details dialog

2001-09-08 15:47:37  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Naming change:
	 * hwinfo->numproc is now hwinfo->ncpus.
	* Bugs solved:
	 * in [send|recv]_computer solved. Now returns 1 on success.
	 * in [send|recv]_computer_limits. Wrong variable name.

2001-09-08 15:37:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.c

	* Naming change numproc is now ncpus.

2001-09-07 18:44:08  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Added commentaries.

2001-09-07 18:43:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.h

	* Modified naming:
	 * numproc goes to ncpus

2001-09-07 18:42:47  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer.h

	* Added struct:
	 * computer_limits
	* Modified struct:
	 * computer to add the limits
	* Added function:
	 * computer_init_limits

2001-09-07 18:39:22  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h

	* Added:
	 * recv_computer_limits
	 * send_computer_limits

	* Modified send_computer and recv_computer to send and receive the computer limits.

2001-09-07 18:36:21  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated

2001-09-07 11:41:08  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Minor bug fix.

2001-09-07 11:36:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Minor message update.

2001-09-07 11:16:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c
	   M /trunk/drqueue/drqman/drqm_computers.h
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h
	   M /trunk/drqueue/drqman/drqman.h

	* Naming changes

2001-09-07 01:03:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h

	* Added drqm_request_job_frame_kill_finish.

2001-09-07 01:03:04  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added jdd_kill_finish_frames.

2001-09-07 01:02:07  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h

	* Added R_R_JOBFKFIN family of functions and data structures.

2001-09-07 01:01:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c

	* Minor updates.

2001-09-07 00:37:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Added documentation stuff.

2001-09-06 17:28:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c

	* Minor update.

2001-09-06 16:33:36  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h

	* Added drqm_request_job_frame_finish.

2001-09-06 16:32:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added jdd_finish_frames.

2001-09-06 16:00:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h

	* Added R_R_JOBFFINI family of functions and data structures.

2001-09-06 15:59:13  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Minor update.

2001-09-06 15:06:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/job.h

	* Changed job.id size from char to uint32_t.

2001-09-06 12:43:41  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/mayasg.c
	   M /trunk/drqueue/mayasg.h

	* Added mayasg_default_script_path and related data.
	* Modified mayasg_create to use the previous function and data.

2001-09-06 12:42:41  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Added script directory search and functionality.

2001-09-06 12:19:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h

	* Added job frame kill functions and data.

2001-09-06 12:19:06  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-09-06 12:18:56  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h

	* Added R_R_JOBFKILL family of functions and data.

2001-09-06 12:18:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/slave.c

	* Added -v info on usage function.

2001-09-05 17:18:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/slave.c

	* Added -v parameter to show the last tag.

2001-09-05 17:18:05  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.h

	* Added show_version.
	* Added VERSION define.

2001-09-05 17:17:38  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.c

	* Added show_version.

2001-09-05 17:13:48  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/tag_edit

	* Bug Fix.

2001-09-05 17:12:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/tag_edit

	* Working the basics.

2001-09-05 16:31:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/tag_edit

	* Added to repository

2001-09-05 15:36:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Test commit.

2001-09-05 14:56:08  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Bug fixes.

2001-09-05 14:52:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Minor update.

2001-09-05 14:49:37  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/request.c

	* Bugfixes and updates.

2001-09-05 11:54:03  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/mayasg.c

	* Solved fchmod bugfix.

2001-09-05 11:53:27  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* Added some more checks.
	* Added job_index_correct_master.
	* Bug fixes.

2001-09-05 11:48:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_status.c

	* Solved small bug.

2001-09-05 11:43:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Solved bug of permissions on irix_install target.

2001-09-05 01:28:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqman.h

	* Naming update.

2001-09-05 01:28:38  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h

	* Naming update.
	* Added drqm_request_job_frame_waiting.

2001-09-05 01:27:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Naming update.
	* Added msgd_bcreate_pressed.

2001-09-05 01:26:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request_codes.h

	* Added R_R_JOBFWAIT, R_A_JOBFWAIT.

2001-09-05 01:25:33  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h

	* Added R_R_JOBFWAIT family of functions.

2001-09-05 01:24:42  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/mayasg.c

	* Shell bug fix.

2001-09-05 01:24:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/mayasg.h

	* Small update.

2001-09-05 01:24:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/slave.c

	* Ignore SIGINT during clean_out (signal handler for exiting).

2001-09-04 18:05:48  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/constants.h

	* Updated.

2001-09-04 18:05:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drerrno.c
	   M /trunk/drqueue/drerrno.h

	* Added DRE_COULDNOTCREATE and DRE_NOTCOMPLETE.

2001-09-04 18:05:03  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/libdrqueue.h

	* Added mayasg.h

2001-09-04 18:04:52  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Added mayasg.o to libdrqueue.a

2001-09-04 18:00:04  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/drqman/main.c

	* Working on

2001-09-04 14:30:42  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/mayasg.c
	   A /trunk/drqueue/mayasg.h

	* Added to repository.

2001-09-03 18:03:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Added dialog for the Maya script creation. Does not work yet.

2001-09-03 18:03:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/main.c

	* Small update.

2001-09-03 18:03:04  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-09-03 12:33:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_status.c

	* Added support for load average using uptime if sysget fails

2001-09-03 12:06:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c

	* Solved bug of empty filenames.

2001-09-03 12:05:58  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Minor changes

2001-09-03 11:17:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c

	* Dialog window set to top level window to have full decoration.

2001-09-02 16:29:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Added common.o.
	* Added mini_install target that installs on ./bin

2001-09-02 16:19:46  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h

	* Added slave_get_options.
	* Now ftok looks for the files based on DRQUEUE_ROOT.

2001-09-02 16:19:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/master.h

	* Added master_get_options.
	* Now ftok looks for the files based on DRQUEUE_ROOT.

2001-09-02 16:17:35  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/libdrqueue.h

	* Added common.h.

2001-09-02 16:17:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drerrno.c
	   M /trunk/drqueue/drerrno.h

	* Added DRE_NOENVMASTER and DRE_NOENVROOT.

2001-09-02 16:16:54  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/common.c

	* Bug fix. Included missing header.

2001-09-02 16:16:28  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c

	* No hostname on logs from slave. Actually, the hostname is the name of the file. So it's not needed.

2001-09-02 14:18:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/common.c
	   A /trunk/drqueue/common.h

	* Added to repository.

2001-09-01 22:03:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-09-01 22:00:43  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/slave.c

	* Registration done using the resolution of the IP, not the hostname.

2001-09-01 19:14:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c

	* Avoiding race condition. Bug solved.

2001-09-01 18:43:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Several updates.
	* Dialog windows now with full decoration like main windows.

2001-09-01 18:41:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Using exec code similar to libc's system again.

2001-09-01 18:40:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h

	* Added one more set for last connection time on register.
	* Modified points for semaphores on registration.
	* More debugging messages.
	* Now uses computer_ntasks.
	* Minor updates.

2001-09-01 18:36:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c

	* Added more debugging info.

2001-09-01 18:35:48  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c

	* Added PID on debugging messages.

2001-09-01 18:34:49  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Minor changes.

2001-09-01 18:32:28  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer.h

	* Added computer_ntasks.
	* Added debugging stuff.

2001-09-01 18:31:41  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Added optimization.

2001-08-31 21:35:01  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c

	* Changed DIALOG windows for TOPLEVEL windows.

2001-08-31 21:34:45  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added separation bar on frames popup menu.
	* Changed DIALOG windows for TOPLEVEL windows.

2001-08-31 17:55:08  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Adapted to Irix

2001-08-31 17:28:13  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Small bug solved.

2001-08-31 17:27:55  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Added install support creating directories.

2001-08-31 17:07:31  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Added linux_install and shared variables.

2001-08-31 17:07:14  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Improved the way in wich in estimated the finish time.

2001-08-31 16:07:58  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Small conflict solved

2001-08-31 16:06:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/request.c

	* I just added some debugging stuff. I found a problem running the master on pebbles. For some reason
	* that I don't know yet it gives a segmentation fault at the begging of job_check_frame_status.
	* It didn't happen yesterday, even this morning and it neither happens with ludwig as master.

2001-08-31 14:47:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/drqman/error.xpm
	   A /trunk/drqueue/drqman/finished.xpm
	   A /trunk/drqueue/drqman/running.xpm
	   A /trunk/drqueue/drqman/waiting.xpm

	* Frame status related xpm's added.

2001-08-31 14:46:52  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added small pixmap to visualize frame status. There are some warnings with that but works.

2001-08-31 12:02:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Added install_irix option

2001-08-31 11:28:10  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.c

	* Working on Onyx bug that causes error when finding proc speed.

2001-08-31 11:19:01  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Less verbosity.

2001-08-31 10:48:49  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c

	* No more ten processors tests

2001-08-31 10:20:52  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Working on bug that causes children of exec'd process not to die when the parent dies.

2001-08-30 15:17:27  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c

	* First computer details dialog working.

2001-08-30 15:16:54  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h

	* Added R_R_COMPXFER related functions.

2001-08-29 17:28:03  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/main.c
	   M /trunk/drqueue/drqman/notebook.c

	* Minor updates.

2001-08-29 17:27:42  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Now using global drqm_info info.

2001-08-29 17:26:33  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c
	   M /trunk/drqueue/drqman/drqm_computers.h

	* Working on the detailed computer information dialog.

2001-08-29 17:01:27  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqman.h

	* Small update.

2001-08-29 15:16:13  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/task.c
	   M /trunk/drqueue/task.h

	* Task.jobindex changed to task.ijob.

2001-08-29 14:46:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/task.h

	* Task.jobindex moved from uint16 to uint32.

2001-08-29 12:14:49  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Minor update.

2001-08-29 11:44:19  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.c

	* Substituted exits by kills.

2001-08-29 11:42:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c

	* Substituted exits (uncontroled) by kills and on-screen logging.

2001-08-29 11:22:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c

	* Bug fixes related with uncontroled exits. Needs much more.

2001-08-29 11:22:13  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.c

	* Correct detection of hardware info on Irix

2001-08-29 10:20:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/master.c

	* A bit less verbosity.

2001-08-28 23:49:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c
	   M /trunk/drqueue/drqman/drqm_computers.h
	   M /trunk/drqueue/drqman/main.c
	   M /trunk/drqueue/drqman/notebook.c
	   M /trunk/drqueue/drqman/notebook.h

	* Globlal info_drqm in progress.

2001-08-28 23:22:10  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/drqman/drqman.h

	* Added drqman.h

2001-08-28 22:56:55  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Small bug solved. Not deallocating resources.

2001-08-28 17:36:28  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c

	* Solved bug selecting appropiate job number for deletion.

2001-08-28 17:35:56  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Added:
	* * CreateMenuFrames
	* * PopupMenuFrames
	* * SeeFrameLog
	* * SeeFrameLogDialog

	* Solved getlogin problem.

2001-08-28 17:34:19  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated

2001-08-28 17:34:13  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/logger.h

	* Added log_dumptask_open_ro.
	* Minor changes.

2001-08-28 14:59:31  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h

	* Solved bug in r_r_deletjob protocol.

2001-08-28 11:56:47  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Moved djd_* functions and structs to jdd_*
	* Added confirmation dialog for HStopJob:
	* * HStopJobDialog
	* * djhs_bok_pressed

2001-08-28 11:54:25  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c

	* Added ID column on the main computers' clist.

2001-08-28 11:53:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-08-28 11:03:52  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Added id init.

2001-08-28 11:00:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/main.c

	* New size for the main window.

2001-08-28 11:00:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Small bug solved in setsockopt.
	* Added id field to send and recv_computer_hwinfo

2001-08-28 10:59:19  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.h

	* Added id field to computer.hwinfo.

2001-08-28 10:22:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Solved small bug.

2001-08-28 00:10:04  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added status label on detailed job information dialog.
	* Added stop, hstop, continue and delete on djd.

2001-08-28 00:09:04  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Added djd.lstatus

2001-08-27 23:16:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-08-27 23:16:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.c
	   M /trunk/drqueue/computer_info.h

	* Added PROCTYPE_PENTIUM4

2001-08-27 23:15:32  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Added SO_REUSEADDR option on listening sockets.

2001-08-27 17:29:16  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Small bug solved. Always printed the warning "Unknown request received".

2001-08-27 17:23:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c

	* Updated

2001-08-27 17:22:58  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Added frame_step to send_job and recv_job

2001-08-27 17:17:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c

	* Updated request (short) data_s to request (uint32_t) data .

2001-08-27 17:16:54  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Added:
	* * struct info_djd

2001-08-27 17:16:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added frame info on the detailed job information dialog.
	* Added step frame on the new job dialog.

	* Added:
	* * CreateFrameInfoClist
	* * djd_update

2001-08-27 16:15:22  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-08-27 16:15:14  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Updated to use:
	* * job_frame_number_correct
	* * job_frame_number_to_index
	* * job_frame_index_to_number

2001-08-27 16:13:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* Changed (int) job_nframes to (uint32_t) job_nframes.
	* Added job_frame_status_string.
	* Added job_frame_index_to_number.
	* Added job_frame_number_to_index.
	* Added job_frame_number_correct.

2001-08-27 10:21:22  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-08-27 10:21:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.h

	* Request data_s (short) moved to data (int [uint32_t]).
	* Added handle_r_r_jobxfer.
	* Added handle_r_r_jobxferfi.
	* Added request_job_xfer.
	* Added request_job_xferfi.

2001-08-27 10:19:42  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request_codes.h

	* Minor changes.

2001-08-27 10:19:10  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Added R_R_JOBXFER and R_R_JOBXFERFI.
	* All request.data_s moved to request.data.
	* Several bugfixes related with closing file descriptors.
	* Added request_job_xfer.
	* Added handle_r_r_jobxfer.
	* Added request_job_xferfi.
	* Added handle_r_r_jobxferfi.

2001-08-27 10:15:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c

	* Minor update.

2001-08-27 10:15:04  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Bug fixes in the avg_frame_time calcs.

2001-08-27 10:14:13  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drerrno.c
	   M /trunk/drqueue/drerrno.h

	* Added DRE_NOTREGISTERED.

2001-08-27 10:13:48  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h

	* Changed data_s (short) to data (int).
	* Added recv_frame_info, send_frame_info.

2001-08-23 15:25:13  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c

	* Solved bug of selecting the wrong element on the list when it was ordered.

2001-08-23 15:24:28  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Added basic job details window and so.

2001-08-23 15:23:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* More debuging messages.

2001-08-23 15:23:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Added average frame time and estimated finish time stuff.

2001-08-23 15:22:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Minor bug solved.

2001-08-22 12:15:36  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated

2001-08-22 12:15:27  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/logger.h
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/slave.c

	* Logging on screen.

2001-08-22 11:05:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/request.c

	* More error handling.

2001-08-22 11:05:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Minor changes.

2001-08-22 11:04:33  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* If something fails in the middle of a frame assignation then it sets back the frame as FS_WAITING.

2001-08-22 11:02:49  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drerrno.c
	   M /trunk/drqueue/drerrno.h

	* Added DRE_ERRORRECEIVING.

2001-08-22 11:02:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h

	* More control on error handling.

2001-08-08 14:59:46  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.h

	* Missing declaration for request_job_hstop

2001-08-08 14:57:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c

	* Solved bug of missing headers

2001-08-08 14:54:48  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/Makefile
	   M /trunk/drqueue/setenv

	* Minor changes

2001-08-08 12:54:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/logger.h

	* Solved bug of multiple definitions of loglevel.

2001-08-08 12:53:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/slave.c

	* Added -l <loglevel> flag.

2001-08-08 12:53:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-08-08 12:52:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drerrno.c
	   M /trunk/drqueue/drerrno.h

	* Solved bug with multiple definitions of drerrno.
	* Added DRE_NOERROR.

2001-08-08 12:52:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c

	* When the task structures are filled the computer is not available.

2001-08-07 15:06:21  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h

	* Added:
	   - drqm_request_job_stop
	   - drqm_request_job_hstop
	   - drqm_request_job_delete

2001-08-07 15:05:40  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added StopJob, HStopJob and ContinueJob.

2001-08-07 15:04:37  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-08-07 15:03:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Minor changes.

2001-08-07 15:03:36  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request_codes.h

	* Added STOPJOB, CONTJOB and HSTOPJOB.

2001-08-07 15:03:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h

	* Added stopjob, hstopjob and contjob related functions.
	* Jobindex range checking.

2001-08-07 15:00:33  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/logger.h

	* Added global loglevel.

2001-08-07 14:59:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* Removed JOBSTATUS_HSTOPPED and JOBSTATUS_DELETING.
	* Added job_stop and job_continue.
	* Solved bug on job_available.

2001-08-06 14:40:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.h

	* Small bug solved.

2001-08-06 14:40:08  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Shared memory deallocation on job deletion.

2001-08-06 14:39:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Minor updates.

2001-08-06 14:35:06  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h

	* Added support for job deletion.

2001-08-06 14:33:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drerrno.c
	   M /trunk/drqueue/drerrno.h

	* Added: DRE_ANSWERNOTLISTED, DRE_ANSWERNOTRIGHT, DRE_ERRORSENDING.

2001-08-06 14:32:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-08-06 14:32:28  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request_codes.h

	* Added R_R_DELETJOB and RS_R_KILLTASK.

2001-08-06 14:31:38  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h

	* Minor changes on logging (moved to L_DEBUG).
	* Check if the job is being used and is the same in handle_r_r_taskfini.
	* Added request_job_delete.
	* Added handle_r_r_deletjob.
	* Added request_slave_killtask.
	* Added handle_rs_r_killtask.

2001-08-06 12:29:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h

	* Added connec_to_slave.
	* send_request now returns 0 on failure.

2001-08-02 12:20:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Added dialog for submiting new jobs to the queue.

2001-08-02 12:19:49  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/Makefile

	* No optimization.

2001-08-02 12:19:33  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Minor changes.

2001-08-02 12:19:04  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h

	* register_job now returns 0 on failure, 1 on success

2001-08-02 12:18:21  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated

2001-07-31 15:10:42  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/sendjob.c

	* Added priority stuff.

2001-07-31 15:10:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Added priority stuff.
	* Added check frame status, for consistency in the master db.

2001-07-31 15:08:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.h

	* Added priority to job structure.
	* Removed FS_LOADING.

2001-07-31 15:06:58  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated

2001-07-31 15:06:38  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added priority on main job list.

2001-07-31 15:06:01  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/setenv

	* Minor changes.

2001-07-31 15:04:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Added priority to job send and recv.

2001-07-30 14:49:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Added stuff to do.

2001-07-30 14:49:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/master.h
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h

	* Added getopt stuff.
	* Force flag.

2001-07-24 17:42:42  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Signals working on Irix

2001-07-24 17:14:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/task.h

	* Minor changes

2001-07-24 16:50:55  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Solved bug in task send and recv

2001-07-24 16:49:36  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h

	* Solved bug in cmd parsing functions

2001-07-24 16:15:30  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h

	* New parsing and execing functions

2001-07-24 15:56:09  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Testing

2001-07-24 12:42:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Testing

2001-07-24 12:31:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/task.h

	* DR exit status and exit codes treatment.

2001-07-24 12:30:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c

	* Minor change

2001-07-23 12:29:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_status.c

	* Bug of Irix load average solved

2001-07-23 11:52:16  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c

	* Different basic info on computers

2001-07-23 11:51:46  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Minor changes

2001-07-23 10:56:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c

	* Task logging under task specific directory.

2001-07-20 17:30:19  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Freeing unfreed memory.

2001-07-20 17:29:19  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/todo

	* Updated.

2001-07-20 17:28:36  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Now logs process output.

2001-07-20 17:27:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/logger.h

	* Added log_dumptask_open.
	* Changed default width from 10 to 8 for log fields.

2001-07-20 17:26:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.h

	* Minor changes

2001-07-20 10:36:45  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/drqman/Makefile

	* Solved bug of recursive make on Irix

2001-07-20 10:29:14  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c

	* Added frames left, done and failed.

2001-07-20 10:28:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c

	* Added load average

2001-07-20 10:28:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/semaphores.c

	* No debug messages.

2001-07-20 10:27:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Minor changes

2001-07-20 10:27:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* Added frames left, done and failed.
	* Added nprocs.
	* New status handling.

2001-07-19 12:23:44  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_computers.c

	* Minor changes

2001-07-19 12:22:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave_sighandlers.dia

	* Added SIGCLD to SIG_DFL on Launcher

2001-07-19 12:22:18  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Solved SIGCLD bug on Irix

2001-07-19 12:21:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Recursive make for drqman

2001-07-19 11:22:25  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/drqman/drqm_computers.c
	   A /trunk/drqueue/drqman/drqm_computers.h

	* Added drqm_computers.[ch]

2001-07-19 11:09:15  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/notebook.c

	* Added call to CreateComputersPage

2001-07-19 11:08:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h

	* Added drqm_request_computerlist

2001-07-19 11:07:10  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Popup menu and minor changes

2001-07-19 11:06:26  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/Makefile

	* Added drqm_computer

2001-07-19 11:05:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request_codes.h

	* Added R_R_LISTCOMP and R_A_LISTCOMP

2001-07-19 11:05:32  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h

	* Added handling for R_R_LISTCOMP

2001-07-19 11:04:58  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_status.c
	   M /trunk/drqueue/computer_status.h

	* computer_status.numtasks -> computer_status.ntasks

2001-07-19 11:03:51  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer.h

	* Added computer_ncomputers_masterdb

2001-07-19 11:03:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h

	* Added send_computer and recv_computer

2001-07-17 17:10:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Basic job listing working.

2001-07-17 17:09:41  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/task.h

	* Minor changes.

2001-07-17 17:09:13  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c

	* Added job_update_info call on handle_r_r_availjob and handle_r_r_taskfini.
	* Minor changes.

2001-07-17 17:07:29  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c

	* Added job_update_info in the consistency checks

2001-07-17 17:06:01  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* Added id and nprocs to job structure.
	* Changed all int ijob references to uint32_t ijob.
	* Added job_update_info function.
	* Added initialisation of job.id on job_init_registered.

2001-07-17 17:01:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer.h

	* int ijob passes to uint32_t in computer_update_assigned

2001-07-17 17:00:34  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Added nprocs to swapping in send_job and recv_job

2001-07-17 12:42:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h

	* Added case for R_R_LISTJOBS

2001-07-17 12:29:55  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c

	* Bug solved

2001-07-17 12:24:32  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_info.c

	* Finds the correct number of procs on Irix

2001-07-17 12:23:12  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_request.c
	   M /trunk/drqueue/drqman/drqm_request.h

	* Added drqm_request_joblist and clean_joblist

2001-07-17 12:21:52  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Added njobs and jobs to the info structure

2001-07-17 12:20:47  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/Makefile

	* Added libdrqueue.a to drqman dependencies

2001-07-17 12:19:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request_codes.h

	* Added handle_r_r_listjobs

2001-07-17 12:19:02  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h

	* Added job_njobs_masterdb

2001-07-17 12:05:54  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/constants.h

	* Minor change

2001-07-17 12:03:42  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Tags now look also drqman sources

2001-07-17 12:03:05  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c

	* Added client case for recv_job

2001-07-16 11:57:20  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/Makefile

	* Irix compatible

2001-07-16 11:53:07  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/drqman/Makefile
	   M /trunk/drqueue/drqman/drqm_jobs.c
	   M /trunk/drqueue/drqman/drqm_jobs.h

	* Made compilable

2001-07-16 11:52:50  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/drqman/drqm_request.c
	   A /trunk/drqueue/drqman/drqm_request.h

	* Added to repository

2001-07-13 17:45:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/libdrqueue.h

	* Added libdrqueue.h

2001-07-13 17:44:00  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/sendjob.c
	   M /trunk/drqueue/slave.c

	* Updated to libdrqueue.h

2001-07-13 17:23:33  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/drqman
	   A /trunk/drqueue/drqman/Makefile
	   A /trunk/drqueue/drqman/drqm_jobs.c
	   A /trunk/drqueue/drqman/drqm_jobs.h
	   A /trunk/drqueue/drqman/main.c
	   A /trunk/drqueue/drqman/notebook.c
	   A /trunk/drqueue/drqman/notebook.h

	* Added drqman first files

2001-07-13 16:04:21  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/todo

	* Solved warning in comparison between uint16_t and 0

2001-07-12 15:10:53  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Cleaning a bit Makefile

2001-07-11 17:02:57  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Irix ar compatibility

2001-07-11 16:50:28  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile

	* Now we have libdrqueue.a

2001-07-11 15:11:25  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_status.c

	* Added load average reading on Irix

2001-07-06 17:07:09  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/master.c

	* Solved bug of not having source addresses on Irix

2001-07-06 16:47:14  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/semaphores.c

	* Solved semaphores bug

2001-07-06 16:38:01  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/computer.c

	* Working...

2001-07-06 16:20:28  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/setenv

	* getpid() casted to int to avoid warnings on Irix

2001-07-06 16:17:55  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/slave.c

	* Small bug that made it non-compilable under linux

2001-07-06 16:15:21  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c

	* Working on Irix semaphores stuff

2001-07-06 16:10:47  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/semaphores.c
	   M /trunk/drqueue/slave.c

	* Updated semaphores stuff for Irix

2001-07-06 15:13:21  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer_info.c
	   M /trunk/drqueue/computer_info.h
	   M /trunk/drqueue/computer_status.c
	   M /trunk/drqueue/computer_status.h
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/sendjob.c
	   M /trunk/drqueue/setenv
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/task.h

	* Working on Irix

2001-07-06 11:15:23  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/slave_sighandlers.dia

	* Added slave_sighandlers

2001-07-06 11:14:11  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h
	   M /trunk/drqueue/todo

	* Works. Alpha stage

2001-07-05 17:19:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/task.h
	   M /trunk/drqueue/todo

	* Works on linux

2001-07-05 12:53:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/constants.h
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/logger.h
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_errors.h
	   A /trunk/drqueue/setenv
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/todo

	* Working on...

2001-07-04 12:13:59  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/constants.h
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h
	   M /trunk/drqueue/sendjob.c
	   M /trunk/drqueue/sendjob.h
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h
	   M /trunk/drqueue/task.h
	   M /trunk/drqueue/todo

	* Working on it

2001-06-05 14:45:36  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/computer_status.c
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/task.c
	   M /trunk/drqueue/task.h

	* Minor changes.

2001-06-05 14:19:45  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer.h
	   M /trunk/drqueue/computer_status.c
	   M /trunk/drqueue/computer_status.h
	   M /trunk/drqueue/constants.h
	   M /trunk/drqueue/database.c
	   M /trunk/drqueue/database.h
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/master.h
	   M /trunk/drqueue/r_r_availjob.dia
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/semaphores.c
	   M /trunk/drqueue/sendjob.c
	   M /trunk/drqueue/slave.c

	* Working r_r_availjob. Added shared memory stuff for frame_info.

2001-05-30 17:14:08  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   D /trunk/drqueue/arch

	* Removed arch directory

2001-05-30 17:11:47  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h
	   M /trunk/drqueue/computer.h
	   M /trunk/drqueue/computer_info.c
	   M /trunk/drqueue/computer_status.c
	   M /trunk/drqueue/computer_status.h
	   M /trunk/drqueue/database.c
	   M /trunk/drqueue/database.h
	   M /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/logger.h
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/slave.h
	   M /trunk/drqueue/task.c
	   M /trunk/drqueue/task.h

	* Working on it.

2001-05-28 16:21:31  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h
	   A /trunk/drqueue/computer_info.c
	   A /trunk/drqueue/computer_info.h
	   A /trunk/drqueue/computer_status.c
	   A /trunk/drqueue/computer_status.h
	   M /trunk/drqueue/constants.h
	   A /trunk/drqueue/drerrno.c
	   A /trunk/drqueue/drerrno.h
	   M /trunk/drqueue/drqueue.dia
	   A /trunk/drqueue/job.c
	   M /trunk/drqueue/job.h
	   M /trunk/drqueue/master.c
	   A /trunk/drqueue/r_r_availjob.dia
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h
	   M /trunk/drqueue/request_errors.h
	   A /trunk/drqueue/sendjob.c
	   A /trunk/drqueue/sendjob.h
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h
	   M /trunk/drqueue/task.h
	   A /trunk/drqueue/todo

	* Several updates. Working on R_R_AVAILJOB

2001-05-09 12:53:08  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/arch/computer_status.c
	   M /trunk/drqueue/arch/computer_status.h
	   M /trunk/drqueue/communications.c
	   M /trunk/drqueue/communications.h
	   M /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer.h
	   M /trunk/drqueue/constants.h
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/master.h
	   M /trunk/drqueue/request.c
	   M /trunk/drqueue/request.h
	   M /trunk/drqueue/request_codes.h
	   M /trunk/drqueue/request_errors.h
	   M /trunk/drqueue/semaphores.c
	   M /trunk/drqueue/semaphores.h
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h
	   M /trunk/drqueue/task.h

	* Several upgrades. Consistency check process added

2001-05-07 17:35:04  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/arch/computer_info.h
	   A /trunk/drqueue/communications.c
	   A /trunk/drqueue/communications.h
	   A /trunk/drqueue/computer.c
	   M /trunk/drqueue/computer.h
	   M /trunk/drqueue/constants.h
	   M /trunk/drqueue/database.h
	   M /trunk/drqueue/logger.h
	   M /trunk/drqueue/master.c
	   M /trunk/drqueue/master.dia
	   M /trunk/drqueue/master.h
	   A /trunk/drqueue/request.c
	   A /trunk/drqueue/request.h
	   A /trunk/drqueue/request_codes.h
	   A /trunk/drqueue/request_errors.h
	   A /trunk/drqueue/semaphores.c
	   A /trunk/drqueue/semaphores.h
	   M /trunk/drqueue/slave.c
	   M /trunk/drqueue/slave.h

	* Registration of the slave on the master works

2001-05-02 18:12:33  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/computer.h
	   M /trunk/drqueue/constants.h
	   A /trunk/drqueue/database.c
	   A /trunk/drqueue/database.h
	   A /trunk/drqueue/job.h
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/logger.h
	   A /trunk/drqueue/master.c
	   A /trunk/drqueue/master.dia
	   A /trunk/drqueue/master.h
	   M /trunk/drqueue/slave.c
	   A /trunk/drqueue/slave.h

	* Base for shared memory and semaphores

2001-04-26 18:07:10  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/computer.h

	* Added file computer.h

2001-04-26 18:06:22  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/Makefile
	   M /trunk/drqueue/arch/computer_info.c
	   M /trunk/drqueue/arch/computer_status.c
	   M /trunk/drqueue/logger.c
	   M /trunk/drqueue/logger.h
	   M /trunk/drqueue/slave.c

	* Working on...

2001-04-26 16:22:38  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/task.c

	* Added task.c

2001-04-26 16:20:55  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue/Makefile
	   M /trunk/drqueue/arch/computer_info.c
	   M /trunk/drqueue/arch/computer_info.h
	   A /trunk/drqueue/arch/computer_status.c
	   M /trunk/drqueue/arch/computer_status.h
	   D /trunk/drqueue/eslave.c
	   A /trunk/drqueue/logger.c
	   A /trunk/drqueue/logger.h
	   A /trunk/drqueue/slave.c
	   M /trunk/drqueue/task.h

	* Working on...

2001-04-25 17:55:24  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   M /trunk/drqueue/arch/computer_info.c
	   M /trunk/drqueue/arch/computer_info.h
	   M /trunk/drqueue/constants.h
	   M /trunk/drqueue/drqueue.dia
	   A /trunk/drqueue/eslave.c
	   M /trunk/drqueue/states.dia

	* Working on it

2001-04-25 12:45:39  Jorge Daza <jorge@drqueue.org>

	* Changed paths:
	   A /trunk/drqueue
	   A /trunk/drqueue/arch
	   A /trunk/drqueue/arch/computer_info.c
	   A /trunk/drqueue/arch/computer_info.h
	   A /trunk/drqueue/arch/computer_status.h
	   A /trunk/drqueue/constants.h
	   A /trunk/drqueue/drqueue.dia
	   A /trunk/drqueue/states.dia
	   A /trunk/drqueue/task.h

	* Initial revision

